Subject: FVWM: FVWM 2.1.4 compile error

From: "Michael Horbovetz" <[email-masked]>
Date: Mon, 07 Dec 1998 15:57:07 -0600

attached is a copy of the ./configure command and the make command.  i'm

receiving a compile error.  if there is a kind fvwm soul that can
address this.
please email as i do not know where to go to read the mailing list.  if
you could
also tell me how to read the mailing list, i would appreciate that as
well.

mike

--
  ------------------------------------------------------------------------
Michael Horbovetz

2201 Lakeside Blvd.
Richardson, TX 75082-4399
(972) 685-8924
Mailstop 992/02/E40
  ------------------------------------------------------------------------

[MDH 146]: ./configure
loading cache ./config.cache
checking for a BSD compatible install... (cached) /bnr/bootleg/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... (cached) yes
checking for working aclocal... missing
checking for working autoconf... missing
checking for working automake... missing
checking for working autoheader... missing
checking for working makeinfo... found
checking whether to enable modal dialogs for applications... yes
checking whether to enable saveunders for pop-up menus... yes
checking whether to enable shape extensions... yes
checking whether to enable ActiveDown button state... yes
checking whether to enable Inactive button state... yes
checking whether to enable MiniIcon style option... yes
checking whether to enable vector button style... yes
checking whether to enable pixmap button style... yes
checking whether to enable gradient button style... yes
checking whether to enable stacked button styles... yes
checking whether to enable styled title-bars... yes
checking whether to enable BorderStyle command... yes
checking whether to enable UseDecor style option... yes
checking whether to enable WindowShade function... yes
checking whether to enable debugging messages... no
checking iconpath... /usr/include/X11/bitmaps:/usr/include/X11/pixmaps
checking for gcc... (cached) gcc
checking whether the C compiler (gcc  ) works... yes
checking whether the C compiler (gcc  ) is a cross-compiler... no
checking whether we are using GNU C... (cached) yes
checking whether gcc accepts -g... (cached) no
checking how to run the C preprocessor... (cached) gcc -E
checking for POSIXized ISC... no
checking for minix/config.h... (cached) no
checking for stdarg.h... (cached) yes
checking for vfprintf... (cached) yes
checking for waitpid... (cached) yes
checking for c++... (cached) c++
Using c++ to compile C++ programs
checking for c++... (cached) c++
checking whether the C++ compiler (c++  ) works... yes
checking whether the C++ compiler (c++  ) is a cross-compiler... no
checking whether we are using GNU C++... (cached) yes
checking whether c++ accepts -g... (cached) no
checking for X... (cached) libraries , headers 
checking for dnet_ntoa in -ldnet... (cached) no
checking for dnet_ntoa in -ldnet_stub... (cached) no
checking for gethostbyname... (cached) yes
checking for connect... (cached) yes
checking for remove... (cached) yes
checking for shmat... (cached) yes
checking for IceConnectionNumber in -lICE... (cached) yes
checking for XpmReadFileToXpmImage in -lXpm... (cached) no
Not using xpm library
checking for rplay_create in -lrplay... (cached) no
Not using rplay library
checking for readline in -lreadline... (cached) no
Not using readline library
checking for cpp... (cached) /lib/cpp
checking whether ln -s works... (cached) yes
checking whether make sets ${MAKE}... (cached) yes
checking for ranlib... (cached) ranlib
checking for flex... (cached) flex
checking for flex... (cached) flex
checking for yywrap in -lfl... (cached) no
checking lex output file root... (cached) lex.yy
checking whether yytext is a pointer... (cached) no
checking for bison... (cached) bison -y
checking for ANSI C header files... (cached) yes
checking for sys/wait.h that is POSIX.1 compatible... (cached) yes
checking for stdlib.h... (cached) yes
checking for fcntl.h... (cached) yes
checking for limits.h... (cached) yes
checking for malloc.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for unistd.h... (cached) yes
checking for getopt.h... (cached) no
checking for sys/select.h... (cached) no
checking for sys/systeminfo.h... (cached) no
checking for working const... (cached) yes
checking for inline... (cached) inline
checking for off_t... (cached) yes
checking for pid_t... (cached) yes
checking for size_t... (cached) yes
checking return type of signal handlers... (cached) void
checking for strftime... (cached) yes
checking for gettimeofday... (cached) yes
checking for mkfifo... (cached) yes
checking for putenv... (cached) yes
checking for select... (cached) yes
checking for setvbuf... (cached) yes
checking for socket... (cached) yes
checking for waitpid... (cached) yes
checking for strdup... (cached) yes
checking for strstr... (cached) yes
checking for strtol... (cached) yes
checking for memmove... (cached) yes
checking for memcpy... (cached) yes
checking for strchr... (cached) yes
checking for sysconf... (cached) yes
checking for uname... (cached) yes
checking for div... (cached) yes
checking whether setvbuf arguments are reversed... (cached) no
checking for gethostname... (cached) yes
checking for strcasecmp... (cached) yes
checking for strncasecmp... (cached) yes
checking for strerror... (cached) yes
checking for usleep... (cached) yes
checking for connect... (cached) yes
creating ./config.status
creating Makefile
creating libs/Makefile
creating fvwm/Makefile
creating modules/Makefile
creating extras/Makefile
creating utils/Makefile
creating xpmroot/Makefile
creating docs/Makefile
creating icons/Makefile
creating sample.fvwmrc/Makefile
creating modules/FvwmAnimate/Makefile
creating modules/FvwmAudio/Makefile
creating modules/FvwmAuto/Makefile
creating modules/FvwmBacker/Makefile
creating modules/FvwmBanner/Makefile
creating modules/FvwmButtons/Makefile
creating modules/FvwmCpp/Makefile
creating modules/FvwmEvent/Makefile
creating modules/FvwmForm/Makefile
creating modules/FvwmIconBox/Makefile
creating modules/FvwmIconMan/Makefile
creating modules/FvwmIdent/Makefile
creating modules/FvwmM4/Makefile
creating modules/FvwmPager/Makefile
creating modules/FvwmRearrange/Makefile
creating modules/FvwmSave/Makefile
creating modules/FvwmSaveDesk/Makefile
creating modules/FvwmScroll/Makefile
creating modules/FvwmTalk/Makefile
creating modules/FvwmWinList/Makefile
creating extras/FvwmCommand/Makefile
creating extras/FvwmConfig/Makefile
creating extras/FvwmConsole/Makefile
creating extras/FvwmDebug/Makefile
creating extras/FvwmGoodStuff/Makefile
creating extras/FvwmPipe/Makefile
creating extras/FvwmScript/Makefile
creating extras/FvwmScript/Scripts/Makefile
creating extras/FvwmScript/Scripts/some_nice_icons/Makefile
creating extras/FvwmScript/Widgets/Makefile
creating extras/FvwmTaskBar/Makefile
creating extras/FvwmWharf/Makefile
creating config.h
config.h is unchanged
[MDH 147]: make
No suffix list.
        make  all-recursive
No suffix list.
Making all in libs
        gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -O2 -c ClientMsg.c
        gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -O2 -c GetFont.c
        gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -O2 -c Grab.c
        gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -O2 -c ModParse.c
        gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -O2 -c Module.c
        gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -O2 -c Parse.c
        gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -O2 -c Picture.c
        gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -O2 -c Strings.c
        gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -O2 -c System.c
        gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -O2 -c envvar.c
as: "/var/tmp/cca22044.s", line 15: error 1052: Directive name not recognized - PARAM
as: "/var/tmp/cca22044.s", line 51: error 1052: Directive name not recognized - PARAM
as: "/var/tmp/cca22044.s", line 124: error 1052: Directive name not recognized - PARAM
as: "/var/tmp/cca22044.s", line 238: error 1052: Directive name not recognized - PARAM
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.